Subject: bug#22429: Force character to be recognized as LTR inside RTL paragraph

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Jan 2016 16:03:48 +0200

> From: Andy Moreton <[email-masked]>
> Date: Fri, 22 Jan 2016 09:31:39 +0000
> 
> While reading this message, I noticed odd behaviour of cursor motion
> with <right> and <left> (i.e. right-char and left-char). 
> 
> I would expect repeated <right> to move in logical order until the end
> of the buffer, but it gets stuck on the newline after "\pstart".
> Likewise repeated <left> from the end gets stuck at the newline before
> "\pend".
> 
> Saving this text in a file "foo.txt" showed the same behaviour (using the
> latest emacs-25 branch with "emacs -Q"). Is this expected ?

Yes, expected.  The paragraph direction changes when you enter a
paragraph that has a different base direction, and the arrow keys are
sensitive to the paragraph base direction.